org.eclipse.jgit.errors

## Class NotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.errors.NotSupportedException

All Implemented Interfaces:
  Serializable

    public class NotSupportedException
    extends IOException

JGit encountered a case that it knows it cannot yet handle.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NotSupportedException(String s)` Construct a NotSupportedException for some issue JGit cannot yet handle.
`NotSupportedException(String s, Throwable why)` Construct a NotSupportedException for some issue JGit cannot yet handle.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NotSupportedException

    public NotSupportedException(String s)

Construct a NotSupportedException for some issue JGit cannot yet handle.

Parameters:
  `s` - message describing the issue

#### NotSupportedException

    public NotSupportedException(String s,
                         Throwable why)

Construct a NotSupportedException for some issue JGit cannot yet handle.

Parameters:
  `s` - message describing the issue
  `why` - a lower level implementation specific issue.